%error = ForceRequiredAddOn("Emote_Confusion");

datablock AudioDescription(AudioCloseLoud3d : AudioClose3d)
{
	referenceDistance = 25;
};

datablock AudioProfile(HmmSound1)
{
	filename = "./hmm1.wav";
	description = AudioCloseLoud3d;
	preload = true;
};
datablock AudioProfile(HmmSound2)
{
	filename = "./hmm2.wav";
	description = AudioCloseLoud3d;
	preload = true;
};
datablock AudioProfile(HmmSound3)
{
	filename = "./hmm3.wav";
	description = AudioCloseLoud3d;
	preload = true;
};
datablock AudioProfile(HmmSound4)
{
	filename = "./hmm4.wav";
	description = AudioCloseLoud3d;
	preload = true;
};
datablock AudioProfile(HmmSound5)
{
	filename = "./hmm5.wav";
	description = AudioCloseLoud3d;
	preload = true;
};

package Hmm
{	
	function servercmdConfusion(%client)
	{
		parent::servercmdConfusion(%client);
		if(isObject(%client.player) && isObject(%img = %client.player.getmountedimage(3)) && %img.getID() == WtfImage.getID())
		{
			%client.player.playaudio(2,"HmmSound" @ getrandom(1,5));
		}
	}
	
	function servercmdWtf(%client)
	{
		parent::servercmdWtf(%client);
		if(isObject(%client.player) && isObject(%img = %client.player.getmountedimage(3)) && %img.getID() == WtfImage.getID())
			%client.player.playaudio(2,"HmmSound" @ getrandom(1,5));
	}
	
		function servercmdHmm(%client)
	{
		parent::servercmdWtf(%client);
		if(isObject(%client.player) && isObject(%img = %client.player.getmountedimage(3)) && %img.getID() == WtfImage.getID())
			%client.player.playaudio(2,"HmmSound" @ getrandom(1,5));
	}
};

if(%error != $Error::Addon_NotFound)
    activatePackage(Hmm);